<?php

namespace DevOwl\RealCookieBanner\presets;

// @codeCoverageIgnoreStart
\defined('ABSPATH') or die('No script kiddies please!');
// Avoid direct file request
// @codeCoverageIgnoreEnd
/**
 * A list of all available preset identifiers. This is useful to save resources when
 * building the class list for cookies and content blocker.
 */
class PresetIdentifierMap {
    const ACTIVE_CAMPAIGN_RECAPTCHA = 'activecampaign-form-with-google-recaptcha';
    const ACTIVE_CAMPAIGN_SITE_TRACKING = 'activecampaign-site-tracking';
    const AD_INSERTER = 'a-d-inserter';
    const ADD_THIS = 'addthis-share';
    const ADD_TO_ANY = 'add-to-any';
    const ADOBE_TYPEKIT = 'adobe-fonts-typekit';
    const AMAZON_ASSOCIATES_WIDGET = 'amazon-associates-widget';
    const ANALYTIFY = 'analytify';
    const ANALYTIFY_4 = 'analytify-analytics-4';
    const ANCHOR_FM = 'anchor-fm';
    const APPLE_MUSIC = 'apple-music';
    const AWIN_LINK_AND_IMAGE_ADS = 'awin-link-and-image-ads';
    const AWIN_PUBLISHER_MASTERTAG = 'awin-publisher-mastertag';
    const BING_ADS = 'bing-ads';
    const BING_MAPS = 'bing-maps';
    const BLOOM = 'bloom';
    const CALDERA_FORMS_RECAPTCHA = 'caldera-forms-with-google-recaptcha';
    const CALENDLY = 'calendly';
    const CONVERTKIT = 'convertkit';
    const CLEANTALK_SPAM_PROTECT = 'cleantalk-spam-protect';
    const CLEVERREACH_RECAPTCHA = 'clever-reach-with-google-recaptcha';
    const CLOUDFLARE = 'cloudflare';
    const CONTACT_FORM_7_RECAPTCHA = 'contact-form-7-with-google-recaptcha';
    const CUSTOM_FACEBOOK_FEED = 'custom-facebook-feed';
    const CUSTOM_TWITTER_FEED = 'custom-twitter-feed';
    const DAILYMOTION = 'dailymotion';
    const DISCORD_WIDGET = 'discord-widget';
    const DIVI_CONTACT_FORM_RECAPTCHA = 'divi-contact-form-with-google-recaptcha';
    const ELEMENTOR = 'elementor';
    const ELEMENTOR_FORMS_RECAPTCHA = 'elementor-forms-recaptcha';
    const ETRACKER = 'etracker';
    const ETRACKER_WITH_CONSENT = 'etracker-with-consent';
    const EXACT_METRICS = 'exact-metrics';
    const EXACT_METRICS_4 = 'exact-metrics-analytics-4';
    const EZOIC_ESSENTIAL = 'ezoic-essential';
    const EZOIC_PREFERENCES = 'ezoic-preferences';
    const EZOIC_STATISTIC = 'ezoic-statistic';
    const EZOIC_MARKETING = 'ezoic-marketing';
    const FACEBOOK_FOR_WOOCOMMERCE = 'facebook-for-woocommerce';
    const FACEBOOK_GRAPH = 'facebook-graph';
    const FACEBOOK_LIKE = 'facebook-like';
    const FACEBOOK_PAGE_PLUGIN = 'facebook-page-plugin';
    const FACEBOOK_PIXEL = 'facebook-pixel';
    const FACEBOOK_POST = 'facebook-post';
    const FACEBOOK_SHARE = 'facebook-share';
    const FEEDS_FOR_YOUTUBE = 'feeds-for-youtube';
    const FIVE_STAR_RESTAURANT_RESERVATION = 'five-star-restaurant-reservation';
    const FLICKR = 'flickr';
    const FONTAWESOME = 'font-awesome';
    const FORMIDABLE_RECAPTCHA = 'formidable-with-google-recaptcha';
    const FORM_MAKER_RECAPTCHA = 'form-maker-with-google-recaptcha';
    const FOUND_EE = 'found-ee';
    const FRESHCHAT = 'freshchat';
    const GA_GOOGLE_ANALYTICS = 'ga-google-analytics';
    const GA_GOOGLE_ANALYTICS_4 = 'ga-google-analytics-analytics-4';
    const GETYOURGUIDE = 'getyourguide';
    const GIPHY = 'giphy';
    const GOOGLE_ADS = 'google-ads-conversion-tracking';
    const GOOGLE_AD_SENSE = 'google-adsense';
    const GOOGLE_ANALYTICS = 'google-analytics';
    const GOOGLE_ANALYTICS_4 = 'google-analytics-analytics-4';
    const GOOGLE_FONTS = 'google-fonts';
    const GOOGLE_MAPS = 'google-maps';
    const GOOGLE_RECAPTCHA = 'google-recaptcha';
    const GOOGLE_TRANSLATE = 'google-translate';
    const GOOGLE_TRENDS = 'google-trends';
    const GOOGLE_USER_CONTENT = 'google-user-content';
    const GRAVATAR = 'gravatar-avatar-images';
    const GTM = 'gtm';
    const HAPPYFORMS_RECAPTCHA = 'happyforms-with-google-recaptcha';
    const HCAPTCHA = 'hcaptcha';
    const HELP_CRUNCH_CHAT = 'helpcrunch-chat';
    const HELP_SCOUT_CHAT = 'helpscout-chat';
    const HOTJAR = 'hotjar';
    const IMGUR = 'imgur';
    const INSTAGRAM_POST = 'instagram-post';
    const INTERCOM_CHAT = 'intercom-chat';
    const ISSUU = 'issuu';
    const JETPACK_COMMENTS = 'jetpack-comments';
    const JETPACK_SITE_STATS = 'jetpack-site-stats';
    const KLARNA_CHECKOUT_WOOCOMMERCE = 'klarna-checkout-woocommerce';
    const KLAVIYO = 'klaviyo';
    const KLIKEN = 'kliken';
    const KOMOOT = 'komoot';
    const LINKEDIN_ADS = 'linkedin-ads';
    const LOOM = 'loom';
    const LUCKY_ORANGE = 'lucky-orange';
    const MAILCHIMP_FOR_WOOCOMMERCE = 'mailchimp-for-woocommerce';
    const MAILERLITE = 'mailerlite';
    const MAILPOET = 'mailpoet';
    const MATOMO = 'matomo';
    const MATOMO_PLUGIN = 'matomo-plugin';
    const MATOMO_INTEGRATION_PLUGIN = 'wp-matomo-integration';
    const METRICOOL = 'metricool';
    const MICROSOFT_CLARITY = 'microsoft-clarity';
    const MONSTERINSIGHTS = 'monsterinsights';
    const MONSTERINSIGHTS_4 = 'monsterinsights-analytics-4';
    const MOUSEFLOW = 'mouseflow';
    const MTM = 'mtm';
    const MY_CRUISE_EXCURSION = 'my-cruise-excursion';
    const MY_FONTS = 'my-fonts';
    const NINJA_FORMS_RECAPTCHA = 'ninja-forms-with-google-recaptcha';
    const OPEN_STREET_MAP = 'open-street-map';
    const PADDLE_COM = 'paddle-com';
    const PERFMATTERS_GA = 'perfmatters-ga';
    const PERFMATTERS_GA4 = 'perfmatters-ga-4';
    const PINTEREST = 'pinterest';
    const PINTEREST_TAG = 'pinterest-tag';
    const PIWIK_PRO = 'piwik-pro';
    const PODIGEE = 'podigee';
    const POPUP_MAKER = 'popup-maker';
    const POLYLANG = 'polylang';
    const PROVEN_EXPERT_WIDGET = 'proven-expert-widget';
    const QUFORM = 'quform';
    const RANKMATH_GA = 'rank-math-ga';
    const RANKMATH_GA_4 = 'rank-math-ga-4';
    const REAL_COOKIE_BANNER = 'real-cookie-banner';
    const REAMAZE_CHAT = 'reamaze-chat';
    const REDDIT = 'reddit';
    const SENDINBLUE = 'sendinblue';
    const SMASH_BALLOON_SOCIAL_PHOTO_FEED = 'smash-balloon-social-photo-feed';
    const SOUNDCLOUD = 'soundcloud';
    const SPOTIFY = 'spotify';
    const STRIPE = 'stripe';
    const TABOOLA = 'taboola';
    const TAWK_TO_CHAT = 'tawk-to-chat';
    const THRIVE_LEADS = 'thrive-leads';
    const TIDIO_CHAT = 'tidio-chat';
    const TIKTOK = 'tik-tok';
    const TIKTOK_PIXEL = 'tik-tok-pixel';
    const TI_WOOCOMMERCE_WISHLIST = 'ti-woocommerce-wishlist';
    const TRANSLATEPRESS = 'translatepress';
    const TRUSTINDEX_IO = 'trustindex-io';
    const TWITTER_TWEET = 'twitter-tweet';
    const TYPEFORM = 'typeform';
    const ULTIMATE_MEMBER = 'ultimate-member';
    const USERLIKE = 'userlike';
    const VG_WORT = 'vg-wort';
    const VIMEO = 'vimeo';
    const WOOCOMMERCE = 'woocommerce';
    const WOOCOMMERCE_GEOLOCATION = 'woocommerce-geolocation';
    const WOOCOMMERCE_GOOGLE_ANALYTICS = 'woocommerce-google-analytics';
    const WOOCOMMERCE_GOOGLE_ANALYTICS_4 = 'woocommerce-google-analytics-analytics-4';
    const WOOCOMMERCE_GOOGLE_ANALYTICS_PRO = 'woocommerce-google-analytics-pro';
    const WOOCOMMERCE_GATEWAY_STRIPE = 'woocommerce-gateway-stripe';
    const WORDFENCE = 'wordfence';
    const WORDPRESS_COMMENTS = 'wordpress-comments';
    const WORDPRESS_EMOJIS = 'wordpress-emojis';
    const WORDPRESS_PLUGIN_EMBED = 'wordpress-plugin-embed';
    const WORDPRESS_USER_LOGIN = 'wordpress-user-login';
    const WP_CERBER_SECURITY = 'wp-cerber-security';
    const WPFORMS_RECAPTCHA = 'wpforms-with-google-recaptcha';
    const WPML = 'wpml';
    const XING_EVENTS = 'xing-events';
    const YANDEX_METRICA = 'yandex-metrica';
    const YOUTUBE = 'youtube';
    const ZENDESK_CHAT = 'zendesk-chat';
    const ZOHO_BOOKINGS = 'zoho-bookings';
    const ZOHO_FORMS = 'zoho-forms';
}
